Skip to content
Developer

Server Client Permission

Login and sessions4 EndpointsoAuth / Server Client Permission

Get a single OauthServerClientPermission

GET/api/opendata/oauth/server_clients_permission/{clientIdentifier}

Path parameters

clientIdentifierrequiredstring

Responses

200Get a single OauthServerClientPermissionOauthServerClientPermission

Show fields (6)
  • idinteger

    Primary key of the client permission. Internal ID.

  • scopesstring

    Comma-separated list of granted scopes.

  • activeboolean

    Whether the permission is active.

  • is_dgboolean

    Whether the permission applies to the DG (member organization) context.

  • selected_customerCustomerProfile

    Customer profile the permission is limited to.

    Show fields (6)
    • idinteger

      Primary key of the customer profile. Internal ID.

    • slackchannelstring

      Slack channel of the customer profile.

    • displaynamestring

      Name shown for the customer profile.

    • deletedboolean

      Whether the customer profile is deleted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "scopes": "string",
  "active": true,
  "is_dg": true,
  "selected_customer": {
    "id": 42,
    "slackchannel": "string",
    "displayname": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}

Creates a single OauthServerClientPermission

POST/api/opendata/oauth/server_clients_permission/{clientIdentifier}

Path parameters

clientIdentifierrequiredstring

Request body application/json

  • dataOauthServerClientPermission2
    Show fields (2)
    • scopesstring

      Comma-separated list of granted scopes.

    • activeboolean

      Whether the permission is active.

Responses

200Creates a single OauthServerClientPermissionOauthServerClientPermission

Show fields (6)
  • idinteger

    Primary key of the client permission. Internal ID.

  • scopesstring

    Comma-separated list of granted scopes.

  • activeboolean

    Whether the permission is active.

  • is_dgboolean

    Whether the permission applies to the DG (member organization) context.

  • selected_customerCustomerProfile

    Customer profile the permission is limited to.

    Show fields (6)
    • idinteger

      Primary key of the customer profile. Internal ID.

    • slackchannelstring

      Slack channel of the customer profile.

    • displaynamestring

      Name shown for the customer profile.

    • deletedboolean

      Whether the customer profile is deleted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "scopes": "string",
    "active": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "scopes": "string",
  "active": true,
  "is_dg": true,
  "selected_customer": {
    "id": 42,
    "slackchannel": "string",
    "displayname": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}

Updates a single OauthServerClientPermission

PUT/api/opendata/oauth/server_clients_permission/{clientIdentifier}

Path parameters

clientIdentifierrequiredstring

Request body application/json

  • dataOauthServerClientPermission2
    Show fields (2)
    • scopesstring

      Comma-separated list of granted scopes.

    • activeboolean

      Whether the permission is active.

Responses

200Updates a single OauthServerClientPermissionOauthServerClientPermission

Show fields (6)
  • idinteger

    Primary key of the client permission. Internal ID.

  • scopesstring

    Comma-separated list of granted scopes.

  • activeboolean

    Whether the permission is active.

  • is_dgboolean

    Whether the permission applies to the DG (member organization) context.

  • selected_customerCustomerProfile

    Customer profile the permission is limited to.

    Show fields (6)
    • idinteger

      Primary key of the customer profile. Internal ID.

    • slackchannelstring

      Slack channel of the customer profile.

    • displaynamestring

      Name shown for the customer profile.

    • deletedboolean

      Whether the customer profile is deleted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "scopes": "string",
    "active": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "scopes": "string",
  "active": true,
  "is_dg": true,
  "selected_customer": {
    "id": 42,
    "slackchannel": "string",
    "displayname": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}

Updates a single OauthServerClientPermission

PATCH/api/opendata/oauth/server_clients_permission/{clientIdentifier}

Path parameters

clientIdentifierrequiredstring

Request body application/json

  • dataOauthServerClientPermission2
    Show fields (2)
    • scopesstring

      Comma-separated list of granted scopes.

    • activeboolean

      Whether the permission is active.

Responses

200Updates a single OauthServerClientPermissionOauthServerClientPermission

Show fields (6)
  • idinteger

    Primary key of the client permission. Internal ID.

  • scopesstring

    Comma-separated list of granted scopes.

  • activeboolean

    Whether the permission is active.

  • is_dgboolean

    Whether the permission applies to the DG (member organization) context.

  • selected_customerCustomerProfile

    Customer profile the permission is limited to.

    Show fields (6)
    • idinteger

      Primary key of the customer profile. Internal ID.

    • slackchannelstring

      Slack channel of the customer profile.

    • displaynamestring

      Name shown for the customer profile.

    • deletedboolean

      Whether the customer profile is deleted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "scopes": "string",
    "active": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "scopes": "string",
  "active": true,
  "is_dg": true,
  "selected_customer": {
    "id": 42,
    "slackchannel": "string",
    "displayname": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}